Last Comment Bug 702758 - Add WAI-ARIA role="contentinfo" to "last modified" container
: Add WAI-ARIA role="contentinfo" to "last modified" container
Status: RESOLVED FIXED
[mentor=sheppy]
:
Product: Mozilla Developer Network
Classification: Other
Component: General (show other bugs)
: unspecified
: x86 All
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 13:40 PST by Aaron Leventhal
Modified: 2014-03-04 08:51 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Aaron Leventhal 2011-11-15 13:40:50 PST
Please add role="contentinfo" to the meta information with last modified / by whom:
Page last modified 15:46, 11 Nov 2011 by Aaronlev
This will make it easier for users to access the date of the page.

I'm not sure that the other contentinfo landmark currently used for username/logout is necessary, if it's redundant with what's in the page header.

Just an attribute addition -- easy!
Comment 1 Avinash [:hardfire] 2013-04-08 08:19:24 PDT
Hi, I was working on a patch for this bug and here is what i had done 
https://github.com/hardfire/kuma/blob/74937fc24455b18392ed2c3a68c0e97527bd170d/apps/wiki/templates/wiki/document.html#L290

But it is a little confusing that since role="contentinfo" is for region that contains info about the parent element, so should i add it to <section class="page-meta"> (line 269)
Comment 2 Eric Shepherd [:sheppy] 2013-04-17 09:37:15 PDT
I think that's just right.
Comment 3 [github robot] 2013-04-17 10:29:43 PDT
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/74937fc24455b18392ed2c3a68c0e97527bd170d
fix for bug 702758 - Add WAI-ARIA role

https://github.com/mozilla/kuma/commit/a0cc65c7562101d8b957b08028fc0f76b21407b7
Merge pull request #1019 from hardfire/dev

fix for bug 702758 - Add WAI-ARIA role
Comment 4 Florian Scholz [:fscholz] (MDN) 2014-03-04 08:51:06 PST
Fixed. See the commits in comment 3

Note You need to log in before you can comment on or make changes to this bug.